
CoCoALib - Feature #49

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Feature # 47 (Closed): Squarefree factorization - multivariate polynomials

Squarefree factorization - multivariate polynomials, char p > 0

30 Nov 2011 17:34 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 0.25 hour

Description

Conceptually trickier than char=0 case because we must handle:

inseparable polys whose derivative is 0 but which are not p-th powers.

Related issues:

Related to CoCoALib - Feature #69: p-th root Closed 20 Dec 2011

History

#1 - 23 Oct 2013 20:06 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

This case is already dealt with by the porting of d'Ali's code (see #47).

#2 - 29 Oct 2013 12:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
